Subject: Linux-Development Digest #114
From: Digestifier <[email-masked]>
To: [email-masked]
Date: Sat, 3 Sep 94 19:13:15 EDT

Linux-Development Digest #114, Volume #2          Sat, 3 Sep 94 19:13:15 EDT

Contents:
  Re: Acid (was: Simple acid test) (Richard L. Goerwitz)
  'keyboard error' - anyone else still get this? (Jon Thackray)
  Re: RECOMMENDATION on device driver book (Troy DeJongh)
  Re: IDE Hard Drives w/ over 1024 cylinders (David Fox)
  XFree & CDROM slow down transfer rate (Robert Stockmann)
  stdlib (or stddef) needs updating (Thomas E Zerucha)
  Re: s3 964 server ? (Dougal Campbell)
  Re: sb_dsp_operations undeclared 1.1.46 (Patrick Doyle)
  Re: 'keyboard error' - anyone else still get this? (Rob Janssen)
  Re: Linux console to SCO comp. prob (Rob Janssen)
  [HELP]  NIGHTMARE CONFIGURING THE NETWORK WITH A 3C503/16 PLEASE HELP !! (Christophe Person)
  Re: Ethernet bug (Larry Doolittle)
  Re: linux never swaps ? (J.H. Man)
  Re: sb_dsp_operations undeclared 1.1.46 (Hannu Savolainen)
  Re: IDE Performance enhancement (Patrick Doyle)
  Re: Acid (was: Simple acid test) (Joachim Schrod)
  Re: ext2fs floppy/82077 corruption with 1. (Marc Fraioli)
  Re: ext2fs corruption in 1.1.47-48 (Robert A. Tiller)

----------------------------------------------------------------------------

From: [email-masked] (Richard L. Goerwitz)
Subject: Re: Acid (was: Simple acid test)
Reply-To: [email-masked]
Date: Fri, 2 Sep 1994 02:38:07 GMT

>>> A simple test of true multilinguality is this:  Can you mix languages 
>>> inside the application in question - languages with drastically different
>>> scripts.  And can you do it in arbitrary spots...
>>
>>MULE does this.  Do your DOS applications support this *and* multiple
>>input methods?
>>
>I must point out that those awful glorified terminal Macintoshes have
>multiple language support built into the operating system.

Right.  So you don't need to graft on all of these ridiculous hacks to
get nice multilingual software like Nisus.  I'm constantly frustrated
by Unix developers who tell me their product is fully internationalized,
only to find that it's, at best, hacked for a language here or there.
They nearly always fail my simple acid test, namely let me quote Shakes-
peare and the Quran in the same paragraph or message.  Typically what
they mean when they say "internationalized" is "capable of being local-
ized to support a language other than English."

Being an American, I realize that it's hard for us to understand a
multilingual environment like India, Canada, much of Russia, etc.; or
a culture like Iran or Turkey, where Arabic has a certain standing as
a religious language, though the populace speaks a non-Semitic vernacu-
lar.  What I don't understand is why foreign markets are putting up
with the whole mess by permitting single-language localizations.  If
everyone just said, "Give me a fully internationalized OS that sup-
ports wide characters and has a script manager built into the GUI,"
then, well, a lot of goons would be out of work.  But we'd be that
much closer to Nirvana.

Incidentally, what is this Mule?  Is this a truly internationalized
product, or a hack to get the OS to work with some specific non-western
language like Japanese?

-- 

   -Richard L. Goerwitz              [email-masked]
   [email-masked]          rutgers!oddjob!ellis!goer

------------------------------

From: [email-masked] (Jon Thackray)
Subject: 'keyboard error' - anyone else still get this?
Date: 2 Sep 1994 12:16:59 +0100

I'm not sure why, but I keep getting 'keyboard errors' reported
by the kernel, (even with 1.1.49), and have done since about 1.0.
Are other people getting these, or is it just my keyboard? I haven't
changed anything, except putting shift-3 to 'sterling', and I've got
a UK keyboard (# next to return, " on shift-2). It only seems to happen
about 2 or 3 times a day, perhaps when I press an unusual combination.

Also, has anyone else got 'selection' to work after switching consoles 
from X (in this case, XF86_S3). Mine doesn't :-(  New version needed?
Do I have to shut down the X server to get my mouse back?

Thanks,
Jon.
-- 
// Jon Thackray. +44 (0)1494 721234   ><>

------------------------------

From: [email-masked] (Troy DeJongh)
Subject: Re: RECOMMENDATION on device driver book
Date: Fri, 2 Sep 1994 14:42:13 GMT

[email-masked] (Garner) writes:

>I'm looking for recommendations on a book on device drivers.  I have seen
>about 3 or 4 different ones and am not sure which one to get.  I need to
>write a printer driver for an "intelligent" printer.  By that I mean I can
>send a status request to the printer and get a response back.  I would
>also prefer a book with lots of code examples.

>Thanks.
>-- 
>_______________                                    ________________________
>Garner Halloran                                    [email-masked]
>"We demand guaranteed rigidly defined areas of doubt and uncertainty."
>                - Vroomfondel, from _The Original Hitchhiker Radio Scripts_

I have a few opinions:

DO NOT get the device driver book called, "Writing UNIX Device Drivers in C"
by Tondo and Adams.  I felt they took a lot of short cuts in explaining things
and most of the text is a group of appendices (of templates for drivers).

I would recommend--even though it is a SCO UNIX based book--"Writing Device
Drivers for SCO UNIX", 1993, Addison-Wesley, by Peter Kettle and Steve Statler.
(ISBN 0-201-54425-3).  I paid $37.50 for mine.  Now I know you may not
be writing drivers for SCO, but the book offers a lot of information that
could be applied to most variants of System V.  They have lots of complete
drivers in the book and complete chapters on interrupts, STREAMS, etc.

If you are looking to write Linux device drivers, the source code and the
kernel hackers guide would be a start.

Hope this helps.

Regards,

--
Troy De Jongh   Digiboard   ([email-masked])

------------------------------

From: [email-masked] (David Fox)
Subject: Re: IDE Hard Drives w/ over 1024 cylinders
Date: 01 Sep 1994 22:05:09 GMT

In article <[email-masked]> [email-masked] (Chris Wong) writes:

] Anyone has any idea why Slackware gives me that message?  Is it an error  
] message?

If it makes you feel any better, I saw the same problem today.
--
David Fox                                               xoF divaD
NYU Media Research Lab                     baL hcraeseR aideM UYN

------------------------------

From: [email-masked] (Robert Stockmann)
Subject: XFree & CDROM slow down transfer rate
Date: Sat, 3 Sep 1994 01:18:05 GMT

Hello,

When running XFree and using a cdrom device I notice
that the transfer rate of my scsi disk slows down.
When not running XFree no decrease in transferrate can be observed.
If however XFree (openwin) is started the transfer rate is slowed down.
normally I get 5.6 Mbyte/sec but under X11 when /dev/sr0 is accessed
or has been accessed the transfer rate goes down to 500 to 700 kbyte/sec..

Is this normal? Is there a fix? (Hardware or Software?)

my system:

HP 486 EISA 25 MHz
12 Mb RAM, cache on 486 chip, memory burstmode is accessed
by external chip on moherboard (HP design)
Adaptec 1740 SCSI-II controller (enhanced mode)
FUJITSU Fast SCSI-II disk  Model: M2624F-512        Rev: 0405
TOSHIBA Fast SCSI-II cdrom Model: CD-ROM XM-3401TA  Rev: 0283 (external)
ESDI controller with Micropolis 150 Mb ESDI disk 
ATI Graphics Ultra PRO EISA (2Mb VRAM)

My OS:
Slackware 2.0 PRO. (kernel 1.0.9 Xfree 2.1.1 )

Robert Stockmann
[email-masked]

------------------------------

From: [email-masked] (Thomas E Zerucha)
Subject: stdlib (or stddef) needs updating
Date: 2 Sep 1994 00:42:30 GMT

stdlib.h uses the typedef wchar_t, and indicates it is defined in stddef.h
(by defining __need_wchar_t).  Unfortunately, somewhere when the kernel
was being update, these were removed (or were never there, and no one updated
stdlib).  I saw this when trying to compile tclmidi, since g++ is very picky,
even about things it doesn't use.
---
[email-masked] - main email address

------------------------------

From: [email-masked] (Dougal Campbell)
Subject: Re: s3 964 server ?
Date: 3 Sep 1994 11:23:53 -0500

In article <[email-masked]>, Chris Schwarzfischer said something like:
> hi there

> we got a pentium 90MHz ..... (fine).
> we got a S3 card with 964 chipset (PCI) (fast but do not work with the S3 
> X-Server)

> I´m using the newest server form the LST distribution.

> where can i find the newest server?

> robert regensburg germany

The XFree86 team announced that vesion 3.1 would be out in mid-September,
and it will have support for this chipset.  

-- 
Dougal Campbell          | Check out the interQuest home page:
System Administrator     | http://www.iquest.com/
[email-masked]        | interQuest:  "We can hook you up!"

------------------------------

From: [email-masked] (Patrick Doyle)
Subject: Re: sb_dsp_operations undeclared 1.1.46
Date: 3 Sep 1994 21:40:30 GMT

In article <[email-masked]> [email-masked] (Anthony W. Kay) writes:
>Sam Gentile ([email-masked]) wrote:
>: I am trying to build 1.1.46 and got the following problem:
>: sb_dsp.c: In function 'sb_dsp_init':
>: sb_dsp.c:815: 'sb_dsp_operations'undeclared
>
>Well, I'll give it a try. 
>
>The C error that you are getting claiming that an identifier 
>(sb_dsp_operations) is being used without a definition (C doesn't
>care for that kinda thing), which makes me thing that perhaps you
>are missing an include file somewhere, or that some patch failed
>miserably.
>
>First, where did you get the kernel source tree? Did you download a complete
>source tree, or a set of patches? If you downloaded a set of patches,
>did you apply them all in order, and were there any errors?

No, the problem is with the distribution of the SoundBlaster code.
I've had similar problems with 1.1.43 and 1.1.49 (I just jumped from
one to the other).  In the first case, I solved the problem by poking
around enough of the SB code to strategically #ifdef out the offending
code.  In the second case, I enabled more options when configuring the
sound card and the problem went away.  (I figured it would from my
perusal of the code in 1.1.43).

The problem appears to be that, according to the configuration
program, if you have a SoundBlaster16, you have the DSP that goes with
it.  Since I have an SB16 sans DSP, I thought it would be wise not to
configure the kernel with DSP support,  (I believe the *SPEECH* option
specifies this), especially since the probe routine was esentially a
NOP.  When I upgraded to 1.1.49 and ran into the same problem, I
decided to go ahead and configure the SPEECH (and MIDI, and possibly
one or two other) options that I don't have the hardware to support.
I figured it couldn't hurt since I haven't been using the sound
capabilities anyway.

I don't really know that much about the SB card set.  It seems to me
that CreativeLabs started out with SoundBlaster, an 8-bit card;
designed an improved card, the SoundBlaster Pro, an 8-bit stereo card;
designed another improved card, the SoundBlaster 16, a 16-bit card;
and I've gotten lost with the proliferation of cards and features
since then.  There's probably a FAQ somewhere that I haven't had time
to look for.

Anyway, You could probably solve your problem by configuring full
sound support, or by selectively hacking the sources.

BTW,  I would like to formally request that the configuration
parameters for the sound support be integrated in the rest of the
kernel configuration parameters in time for the next code freeze.  It
can really be annoying to try to remember what parameters I chose the
last time I configured the kernel and there's no reason this fancy
machine in front of me couldn't remember them for me automagically.

Regards...
-patrick

------------------------------

From: [email-masked] (Rob Janssen)
Subject: Re: 'keyboard error' - anyone else still get this?
Reply-To: [email-masked]
Date: Sat, 3 Sep 1994 12:17:44 GMT

In <[email-masked]> [email-masked] (Jon Thackray) writes:

>I'm not sure why, but I keep getting 'keyboard errors' reported
>by the kernel, (even with 1.1.49), and have done since about 1.0.
>Are other people getting these, or is it just my keyboard? I haven't
>changed anything, except putting shift-3 to 'sterling', and I've got
>a UK keyboard (# next to return, " on shift-2). It only seems to happen
>about 2 or 3 times a day, perhaps when I press an unusual combination.

>Also, has anyone else got 'selection' to work after switching consoles 
>from X (in this case, XF86_S3). Mine doesn't :-(  New version needed?
>Do I have to shut down the X server to get my mouse back?

This normally works OK for serial mice, and often there are problems
with PS/2 mice.

Rob
-- 
=========================================================================
| Rob Janssen                | AMPRnet:   [email-masked]           |
| e-mail: [email-masked]     | AX.25 BBS: PE1CHL@PI8UTR.#UTR.NLD.EU     |
=========================================================================

------------------------------

From: [email-masked] (Rob Janssen)
Subject: Re: Linux console to SCO comp. prob
Reply-To: [email-masked]
Date: Sat, 3 Sep 1994 12:22:30 GMT

In <[email-masked]> [email-masked] (Jonathan Noel Tombs) writes:

>In article <[email-masked]>,

>>      No, there are real problem when it comes to Linux's keyboard handling.
>>What I (and many other people) want is to be able to replace SCO with Linux
>>and not have the other people notice. Sure, I could use WPTERM to set up an
>>entry for Linux's console, I've done it many times for other terminals. But
>>I don't *want* a sperate entry for Linux. And I *can't* make an exact duplicate
>>for the SCO keyboard layout because Linux does not support enough key
>>combinations re: function keys. That is, SCO supports FKEY, S-FKEY, C-FKEY,
>>and C-S-FKEY. I want (and NEED) Linux to do this as well. Also, the keys that
>>Linux sends out are far too long for what they need to do and still be
>>unique. This causes problems with our in-house software because we use a
>>tree-based keyboard table to speed up recognition and we have a fixed
>>maximum size per fkey string we can handle. Yes, we could increase it, but why?

>what is the problem with the linux keymaping. I can generate 16 different
>characters/sequences per key as far as I am aware. linux seems to
>supports all shift/control/alt posabilities. 

>What is it that SCO can do that linux not? Or is it just you haven't
>bothered using loadkeys and the default map defines some sequences as
>the same.

The problem of the original poster was that his keyboard recognition software
is broken and he wants to blame someone else for it.
I have written a tree-based keyboard table as well, years ago, and I
never have seen problems like that.  It also works with Linux.  Probably
his code is not using a tree datastructure where it should.

Rob
-- 
=========================================================================
| Rob Janssen                | AMPRnet:   [email-masked]           |
| e-mail: [email-masked]     | AX.25 BBS: PE1CHL@PI8UTR.#UTR.NLD.EU     |
=========================================================================

------------------------------

From: [email-masked] (Christophe Person)
Crossposted-To: comp.os.linux.admin,comp.os.linux.help
Subject: [HELP]  NIGHTMARE CONFIGURING THE NETWORK WITH A 3C503/16 PLEASE HELP !!
Date: 3 Sep 1994 14:08:35 -0500

Hi,

        I am still stuck since a week with a network problem and I pull my hairs
off (and eat my nails also). Please help !!!!!!!!

        I was running slackware 1.2 without problem for a while and upgraded
my system WITH THE ORIGINAL/FULL DISTRIBUTION from sunsite.unc.edu. Since, I
can't anymore boot my new kernel with my 3C503 card.

        I get this #$&#*$&!   SIOCADDRT Invalid Argument ass soon as I try to
access it.

o I have tried to install NetKit A and B and noticed that ifconfig
  returns something like

        IRQ=0 and BaseAddr=0.

        Also HWaddr=00-00-00-00-00-00-00-00-00-00-00-00-00-00-00

o What is REALLY wired is that the kernel boot and probe the card 
  correctely

        3C503 probe at 0x2e0: not found
        3C503 probe at 0x310: 02 60 8c 8d cb 6e
        eth0: 3C503 with shared memory at 0xdc000-0xddfff       

        What does it mean ??? I am not a linux newbie and installed
successfully many systems (SLS and Slackware) without any kind of problem.

        I don't believe there is an IRQ conflict somewhere (I have check the
BIOS also) and IT WAS WORKING BEFORE.

I have:
        o make config
          with correct setup
        o edit ./drivers/net/CONFIG
        o make zImage.

        Note that it does THE SAME THING if I replace my 3c503 with a 3c509.

        ARGGHHHH !!!! Please help me so I will not return to Slackware 1.2.

Christophe Person

http://dirac.bcm.tmc.edu/people/chrisp.html

[email-masked]

------------------------------

From: [email-masked] (Larry Doolittle)
Subject: Re: Ethernet bug
Reply-To: [email-masked]
Date: Fri, 2 Sep 1994 02:47:34 GMT

The following discussion applies completely to my machine, too.
I am still on 1.0.8, and was hoping that when I upgraded to 1.1.zillion :-)
the problem would disappear.   I have a 386DX/25 with a 3c503.  I suspect
it's CPU speed sensitive, because a friend with a 486 but an identical
ethernet card has no problem.  Another friend with a 386DX/33 is about
the same as me.  The problem comes and goes, my typical uptime is 1 month
between reboots, and I have a ping -i40 <big-ultrix-mainframe> to keep
the problem under control (I have the ping started from rc.inet2).

Rob Janssen ([email-masked]) wrote:
: In <[email-masked]> [email-masked] () writes:

: >Darin Johnson ([email-masked]) wrote:
: >: I've got 1.1.48, using a 3c509 ethernet card.  Immediately after
: >: rebooting, it won't respond to pings (or anything) from the
: >: outside world.  But as soon as I use the network locally (ie,
: >: ping outwards), I get the following error message and things start
: >: to work normally:

: >:   eth0: Missed interrupt, status then 2011 now 2011  Tx 00 Rx 383c.

: >: It's like it just needs to be kicked once to start working.
: >: Other info that might help is that when I boot up under dos
: >: it gets assigned a different ip address than under linux.

: >I've had the same problem for a while. I put a ping in a startup file.

: My system at work (which has a 3c509) shows the same "Missed interrupt"
: error on boot, but only when the system is rebooted without powerdown.
: (CTRL-ALT-DEL reboot, e.g. after compiling a new kernel)
: When I have just switched on the system it never appears.  Unfortunately
: there is no RESET button on this box, so I can't tell what happens when
: booting that way :-(

: (this system also mounts some NFS filesystems in the startup sequence,
: so there are no network reachability problems)

: Rob
: -- 
: -------------------------------------------------------------------------
: | Rob Janssen                | AMPRnet:   [email-masked]           |
: | e-mail: [email-masked]     | AX.25 BBS: PE1CHL@PI8UTR.#UTR.NLD.EU     |
: -------------------------------------------------------------------------

------------------------------

From: [email-masked] (J.H. Man)
Subject: Re: linux never swaps ?
Date: 2 Sep 1994 04:24:45 +0100
Reply-To: [email-masked]

Tim Bass (Network Systems Engineer) <[email-masked]> wrote:

> First my P5 had 16 MB of RAM and not matter what kind of serious
> process load I could dream of, it never swapped.

Huh ?  I've got 16M here, and just by compiling the kernel, about 500K
gets swapped out - the lpd and update daemons.

   - John, [email-masked]

------------------------------

From: [email-masked] (Hannu Savolainen)
Subject: Re: sb_dsp_operations undeclared 1.1.46
Date: Sat, 3 Sep 1994 19:15:02 GMT

[email-masked] (Sam Gentile) writes:

>I am trying to build 1.1.46 and got the following problem:
>sb_dsp.c: In function 'sb_dsp_init':
>sb_dsp.c:815: 'sb_dsp_operations'undeclared

This happens when the SB driver is enabled but the digitized voice
support is disabled. Just run make config again and enable
"digitized voice". A faster way is to edit linux/drivers/sound/local.h and
remove the line containing #define EXCLUDE_AUDIO.

Hannu
-- 
=============================
Hannu Savolainen
[email-masked]
"Don't use Windows since there is a door!"

------------------------------

From: [email-masked] (Patrick Doyle)
Subject: Re: IDE Performance enhancement
Date: 3 Sep 1994 21:45:22 GMT

In article <[email-masked]> [email-masked] (John S. Seng) writes:
>[email-masked] wrote:
>: Similar: Conner 240M -- is deperformance of -5% 
>: disk speed when multiple mode (16) enabled. Lower
>: values (2) slow it down less, cca -1%.
>:
>How do you compile in the enhancements anyways?
>
They are included in later revision kernels (I'm not too sure when
they first appeared).  They have to be specifically enabled, however,
using the "hdparm" program.

------------------------------

From: [email-masked] (Joachim Schrod)
Subject: Re: Acid (was: Simple acid test)
Date: 2 Sep 1994 10:46:15 GMT

In article <[email-masked]>, [email-masked] (Richard L. Goerwitz) writes:
> >>> A simple test of true multilinguality is this:  Can you mix languages 
> >>> inside the application in question - languages with drastically different
> >>> scripts.  And can you do it in arbitrary spots...
> >>
> >>MULE does this.  Do your DOS applications support this *and* multiple
> >>input methods?
> >>
> >I must point out that those awful glorified terminal Macintoshes have
> >multiple language support built into the operating system.
> 
> Right.  So you don't need to graft on all of these ridiculous hacks to
> get nice multilingual software like Nisus.  I'm constantly frustrated
> by Unix developers who tell me their product is fully internationalized,
> only to find that it's, at best, hacked for a language here or there.
> They nearly always fail my simple acid test, namely let me quote Shakes-
> peare and the Quran in the same paragraph or message.  Typically what
> they mean when they say "internationalized" is "capable of being local-
> ized to support a language other than English."

Perhaps you should differantiate between multilingual (can work with
many languages/scripts at once) and internationalized (can work with
an arbitrary but fixed language/script at one given instantiation).

In our work this distinction has shown to be very proficient. And the
literatore on I18N actually often mean the latter thing.

Cheers,
        Joachim

--
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
Joachim Schrod                  Email: [email-masked]
Computer Science Department
Technical University of Darmstadt, Germany

------------------------------

From: [email-masked] (Marc Fraioli)
Subject: Re: ext2fs floppy/82077 corruption with 1.
Date: 2 Sep 1994 17:10:10 GMT
Reply-To: [email-masked]

In article [email-masked],  [email-masked] (login_menu) writes:
>In article [email-masked], [email-masked] (Gary Paul Gortmaker) writes:
>>This is guaranteed to demonstrate the problem on 82077 based systems.
>>I have verified it on two systems with 82077 chips on cards from
>>different manufacturers. I know it did so on 47 and 48, as well as 1.1.49, 
>>but can't vouch for how far it goes back. I sent this to the KERNEL
>>channel, but I think the mail-server ate it.  :-(
>>
>>1) mke2fs a floppy
>>2) mount it and copy a big (~500k) file to it (or several files)
>>3) unmount it but _don't_ eject it
>>4) run "e2fsck -vrf /dev/fd0" --- it will come up clean (reading the cache)
>>5) eject it and immediately stick it back in (set disk change flag)
>>6) Repeat step 4 -- you will get most of the blocks in the above file(s)
>>   being marked as "not in use".
>
The plot thickens.  I'm running 1.1.49, but dmesg reports:

FDC 0 is a 8272A

on my system.  Just on a lark, I tried the above steps, figuring I'd
have no trouble.  I was wrong.  When I get to step 4, e2fsck reports a
large number of inodes not used with links_count not null.  It offers
the choice of repairing them, so I chose yes.  I then do steps 5 and 6,
and everything comes out clean.  I had inserted a step 2.5, where I did a
cmp on the file I copied to the floppy with the original, and it came
up clean.  I have not had any trouble with tar, and I don't normally
use filesystems on floppies, so this is not something I would otherwise
have noticed.

Other info on my system:  486/33 ISA, AMI BIOS, el-cheapo IDE/floppy
controller, two IDE HDs (a Conner and a WDC), and a couple other 
probably irrelevant cards plugged in (S3 video, SoundBlaster, Internal
modem w/ 16550A).

---
Marc Fraioli          | "They couldn't hit an elephant at this dist- " 
[email-masked]         |    - Last words of Union General John Sedgwick,
                      |    Battle of Spotsylvania Court House, U.S. Civil War

------------------------------

From: [email-masked] (Robert A. Tiller)
Subject: Re: ext2fs corruption in 1.1.47-48
Date: 2 Sep 1994 15:16:15 GMT

Marino Ladavac (lan_lada@rcsw52) wrote:
: [email-masked] (Mark Lord) writes:
: : In article <[email-masked]> [email-masked] writes:
: : >[email-masked] (Mark Lord) writes:
: : >
: : >>In article <[email-masked]> [email-masked] writes:
: : >>>Hi,
: : >>>
: : >>>I've been having problems with files being corrupted under (at least) 1.1.47
: : >>>and 1.1.48 on an IBM/vp DX266 with 64Mb RAM and an Maxtor MXT-50 IDE disk
: : >>>with 16 sector multiple mode enabled.  I would suspect the mult. mode but
: : >>>I ran it in the past with no corruption.
: : >>...
: :  
: : >I've have the same problem. I have a 486DX2/66 and an Adaptec 1542CF
: : >with a Seagate disk.. As far as I know, I haven't turned a multiple
: : >mode on. (In fact, I'd like to know how to do that. Somebody mail me?)
: : 
: : Ah.  A SCSI system with similar symptoms.  That makes it unlikely
: : to be IDE-multiplemode related, or for that matter, IDE or SCSI specific.
: : Thus, odds are improving that it is a filesystem problem.
: : (multiple-mode is for IDE *only*).
: : 
: : >When a file is corrupted, it has perhaps 8, perhaps 10 (I never made
: : >a note about it) corrupted characters. They're placed so that EVERY
: : >OTHER character is corrupted with an uncorrupted character between.
: : 
: : Mmm.. a potentially good clue, if you can reproduce it and then
: : post a real example, with the exact byte offset within the file
: : carefully noted.
: : -- 
: : [email-masked]        Mark Lord       BNR Ottawa,Canada       613-763-7482

: I have had the same problems while using teh 1542CF with 1.0, 1.0.9 and
: 1.1.11.  Eventually I've tested the thing by directly writing to one
: of the partitions on the SCSI drive (50 MB of incrementing chars written,
: then read, and the offending char's printed.)  Some of the bits (usually
: only one per byte) get lost (inverted.)  It happens both on writing
: and reading.  I suspected a problem with 1542CF (driver or the cable) but
: it may not be.  I have had no problems (knock wood :) on the same machine
: while using IDE drives (1.0, 1.0.9, 1.1.11, 1.1.45.)  I shall have to
: check the behavior when only the card supplies the SCSI termination power,
: and when the drive is passively terminated (the drive, Adaptec and the
: cable live very happily in another machine devoted to OS/2 and DOS.)

: /Alby

: --
: Proof by Intimidation:
:         "I'm bigger, therefore I'm right."

I also have scsi corruption on a sony MO drive(128MB) and a buslogic
542B controller(IDE with multimode 64 is fine).  The drive works under
dos.  I've not tried to trouble shoot it very much.  

Robert

Linux is happy!!!

------------------------------

** FOR YOUR REFERENCE **

The service address, to which questions about the list itself and requests
to be added to or deleted from it should be directed, is:

    Internet: [email-masked]

You can send mail to the entire list (and comp.os.linux.development) via:

    Internet: [email-masked]

Linux may be obtained via one of these FTP sites:
    nic.funet.fi				pub/OS/Linux
    tsx-11.mit.edu				pub/linux
    sunsite.unc.edu				pub/Linux

End of Linux-Development Digest
******************************